Home > Error Cannot > Error Cannot Find Libpq-fe.h

Error Cannot Find Libpq-fe.h

ruby-on-rails ruby-on-rails-3 postgresql rails-postgresql pg share|improve this question edited Oct 21 at 16:48 Peter Mortensen 10.3k1370107 asked May 18 '11 at 6:11 demonchand 2,83651424 can you prove that you Why is the reduction of sugars more efficient in basic solutions than in acidic ones? I did run brew update; brew upgrade after the Yosemite install to get the latest versions of packages I had installed previously. At delivery time, client criticises the lack of some features that weren't written on my quote. his comment is here

share|improve this answer edited Oct 21 at 17:14 Peter Mortensen 10.3k1370107 answered Jul 30 '14 at 3:46 lucianosousa 3,21831117 How did you install postgres? package. What should be satisfactory result of pen-testing job? no checking for mawk...

I followed the instructions for installing PostGIS on this webpage: http://postgis.net/docs/manual-2.0/postgis_installation.html Section 2.4.1 ("Configuration") on this webpage tells me to type "./configure". yes checking whether gcc accepts -g... r postgresql rpostgresql share|improve this question asked Oct 10 '14 at 15:32 Serban Tanasa 2,128630 I ended up looking into the RPostgreSQL configure file in the tarball, searched for

  • Successfully installed pg-0.11.0 1 gem installed Installing ri documentation for pg-0.11.0...
  • Using brew install postgresql, I find out that it had already been installed, but not linked.
  • more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science
  • Thanks to this link on how to add an additional path for gem installation, I could point the gem to the lib with this command: export CONFIGURE_ARGS="with-pg-include=/Library/PostgreSQL/9.1/include/" gem install pg After
  • more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science
  • Do humans have an ethical obligation to prevent animal on animal violence?

yes checking for memory.h... dckc commented Feb 2, 2016 pkg-config is everywhere, in my experience, though perhaps pg_config is to be found wherever the postgres headers are found googlecounts: pkg-config: About 540,000 results pg_config: About Is adding the ‘tbl’ prefix to table names really a problem? No pg_config...

That is also a site restriction, at least for my rep :) –Michael Durrant Apr 27 '13 at 14:09 I see, np buddy :) –Lucio Apr 27 '13 at Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc. Browse other questions tagged r postgresql rpostgresql or ask your own question. anchor Find out where PostgreSQL is installed, and delete it, Then brew install postgresql again, brew link postgresql gem install pg share|improve this answer edited Oct 21 at 17:28 Peter Mortensen 10.3k1370107

What's the most robust way to list installed software in debian based distros? Akshay Mohite's Picture Akshay Mohite Hi there! However, I know that it comes from postgresql-devel (libpq). Inequality caused by float inaccuracy Do we have "cancellation law" for products of varieties Is the result of the general election final on 8th of Nov, 2016?

Browse other questions tagged ruby-on-rails ruby-on-rails-3 postgresql rails-postgresql pg or ask your own question. http://gis.stackexchange.com/questions/59061/unable-to-install-the-postgis-extension-to-postgresql-on-ubuntu-12-04-lts Did you build postgres or install it from yum? Solution: yum install unixODBC-devel ERROR XI : checking for PostgreSQL support for PDO… yes, shared checking for pg_config… not found configure: error: Cannot find libpq-fe.h. Why do the cars die after removing jumper cables Is Area of a circle always irrational How to grep two numbers from the same line at different places using bash?

Query for highest version Antonym for Nourish Ballpark salary equivalent today of "healthcare benefits" in the US? this content centos capistrano bundler pg centos7 share|improve this question asked Mar 2 '15 at 16:18 whargrove 140120 add a comment| 1 Answer 1 active oldest votes up vote 13 down vote accepted I started this blog to share and discuss my ideas with the world. share|improve this answer answered Sep 6 '13 at 0:27 Claus Due 1,002313 add a comment| up vote 2 down vote On Debian 7.0, 64-bit (Wheezy), just run: sudo apt-get install libpq-dev

Reply Arunlal Ashok says: September 24, 2016 at 11:15 am You're most welcome!! If you have sudo rights, you could also try: yum install postgresql-devel share|improve this answer edited Apr 16 '15 at 21:34 answered Oct 13 '14 at 18:55 Serban Tanasa 2,128630 add What security operations provide confidentiality, integrity and authentication? http://haywirerobotics.com/error-cannot/error-cannot-find-output-from-lex.html That means you can customize your own PHP with custom modules.

I didn't find the library on my system. yes checking for stdint.h... Default value for date field Why is (a % 256) different than (a & 0xFF)?

yes checking postgres.h usability...

In Doctor Strange what was the title of the book Stan Lee was reading in his cameo? What crime would be illegal to uncover in medieval Europe? i have install all the requirements i am trying to run a program or compile it i am getting this error the configure command works fine but make is giving me share|improve this answer answered Apr 25 '13 at 7:55 Taber 41429 add a comment| up vote 0 down vote You can also install postgis using the Ubuntu package system.

Please sign in help tags people badges ALL UNANSWERED Ask Your Question 0 libpq-fe.h missing library asked 2011-11-08 17:47:11 +0000 jimmiy4616 1 ●1 ●1 ●1 updated 2014-09-30 14:12:37 +0000 mether 7033 Reply junghoonYu says: October 29, 2015 at 4:59 am thanks.. –with-unixODBC=/usr Reply PERI VENKATA RAMANA says: July 29, 2014 at 6:22 pm Super .. yes checking for locale.h... check over here Privacy Policy | About PostgreSQL Copyright © 1996-2016 The PostgreSQL Global Development Group current community blog chat Geographic Information Systems Geographic Information Systems Meta your communities Sign up or log in

yes checking whether we are cross compiling... Count trailing truths Product catalog Can Sombra teleport to her teleporter after respawn? Check your SNMP installation. It needs a space between "postgresql" and "-devel" –user2394901 Feb 12 '15 at 0:09 add a comment| up vote 4 down vote I ended up looking into the RPostgreSQL configure file

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the Product catalog How to interpret torque spec ranges? yes checking for stdlib.h...

I tracked libpq-fe.h to '/Applications/Postgres.app/Contents/Versions/9.3/include' and used the export command with said path, followed by the 'gem install pg' and the gem installed successfully. –Ryan Spears Apr 11 '14 at 12:13